Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1059234

Summary: FTBFS: Exception in thread "process reaper" java.lang.StackOverflowError
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: java-1.7.0-openjdkAssignee: Chris Phillips @ TO <chphilli>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 22CC: ahughes, dbhole, jerboaa, jvanek, lfarkas, mizdebsk, omajid, robert, walters
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 20:19:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880    
Attachments:
Description Flags
build.log none

Description Karsten Hopp 2014-01-29 13:23:46 UTC
Created attachment 857053 [details]
build.log

Description of problem:
jna-4.0.0-4.fc21 fails to build on PPC:

...
Exception in thread "process reaper" java.lang.StackOverflowError
	at java.util.concurrent.SynchronousQueue$TransferStack.snode(SynchronousQueue.java:316)
	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:358)
	at java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:942)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1068)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:744)
Exception in thread "process reaper" java.lang.StackOverflowError
	at java.util.concurrent.SynchronousQueue$TransferStack.snode(SynchronousQueue.java:316)
	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:358)
	at java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:942)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1068)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:744)
/var/tmp/rpm-tmp.04gaaa: line 34: 13335 Aborted                 (core dumped) ant -Dcflags_extra.native="-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32" -Ddynlink.native=true native dist

Version-Release number of selected component (if applicable):
jna-4.0.0-4.fc21

How reproducible:


Steps to Reproduce:
1. jna-4.0.0-4.fc21
2.
3.

Actual results:


Expected results:


Additional info:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1628093

Comment 1 Mikolaj Izdebski 2014-01-29 13:34:15 UTC
This is a known bug OpenJDK.  From what I know it is triggered only on POWER7.  Workaround: use POWER6 or older machine.

I would reassign this to java-1.7.0-openjdk, but I am not maintainer of jna.

Comment 3 Mikolaj Izdebski 2014-02-17 12:36:15 UTC
*** Bug 1065966 has been marked as a duplicate of this bug. ***

Comment 4 Chris Phillips @ TO 2014-03-03 11:57:34 UTC
Hi
Afaik, this bug is fixed in the latest ppc builds. 
( See https://bugzilla.redhat.com/show_bug.cgi?id=1015432 )
Chris

Comment 5 Chris Phillips @ TO 2014-03-03 12:04:18 UTC
FYI:
Just checked the attached log and its from 
 java-1.7.0-openjdk-1.7.0.60-2.4.3.1.fc21.ppc which is before the fix was applied.

Comment 6 Jaroslav Reznik 2015-03-03 15:26:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 7 Fedora End Of Life 2016-07-19 20:19:57 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.